# GetNumberOfRunningInstances

### Description

Get the number of running instances of a Windows application.

```csharp
 int GetNumberOfRunningInstances ()
```

### Return

| Data Type | Description                     |
| :-------: | ------------------------------- |
|    int    | the number of running instances |

### Remarks

This method can be used when your application is a standard Windows application such as a desktop application.

When this method is called, it identifies the name of the current process, looks for all running processes with the same name, and returns their count.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.soraco.co/docs/api-reference/.net-api/qlmlicense/client-side-methods/getnumberofrunninginstances.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
